package de.fraunhofer.iem.dataprovider.tool.controller

import de.fraunhofer.iem.dataprovider.configuration.ApiPaths
import de.fraunhofer.iem.dataprovider.tool.dto.ToolEntityResponseDto
import de.fraunhofer.iem.dataprovider.tool.repository.ToolRepository
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RestController

@RestController
class ToolController(val toolRepository: ToolRepository) {

    @GetMapping(ApiPaths.GET_ALL_TOOLS)
    fun getAllTools(): List<ToolEntityResponseDto> {
        return toolRepository.findAll().map { it.toDto() }
    }
}
